import 'package:json_annotation/json_annotation.dart';

part 'product_item_model.g.dart';
@JsonSerializable()
class ProductItemModel {
  @JsonKey(name: 'expire_time')
  final String? expireTime;
  @JsonKey(name: 'code_secret')
  final String? codeSecret;
  final String? password;

  ProductItemModel({
    this.expireTime,
    this.codeSecret,
    this.password,
  });

  factory ProductItemModel.fromJson(Map<String, dynamic> json) =>
      _$ProductItemModelFromJson(json);

  Map<String, dynamic> toJson() => _$ProductItemModelToJson(this);
}
